Set up Omnichannel webhook
    • Dark
      Light
    • PDF

    Set up Omnichannel webhook

    • Dark
      Light
    • PDF

    Article summary

    Post
    /api/v1/omnichannel/integrations

    Set up a webhook to easily integrate Omnichannel with your CRM. Permission required: view-livechat-manager.

    Header parameters
    X-Auth-Token
    stringRequired

    The authToken of the authenticated user.

    ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
    X-User-Id
    stringRequired

    The userId of the authenticated user.

    ExamplerbAXPnMktTFbNpwtJ
    Body parameters
    WebhookData
    {
      "LivechatWebhookUrl": "https://webhook/d548683u3-7f38ow-48ba-ieooefa-oejiduiw",
      "LivechatSecretToken": "",
      "LivechatHttpTimeout": 5000,
      "LivechatWebhookOnStart": true,
      "LivechatWebhookOnClose": true,
      "LivechatWebhookOnChatTaken": true,
      "LivechatWebhookOnChatQueued": false,
      "LivechatWebhookOnForward": false,
      "LivechatWebhookOnOfflineMsg": true,
      "LivechatWebhookOnVisitorMessage": true,
      "LivechatWebhookOnAgentMessage": true
    }
    object
    LivechatWebhookUrl
    string

    The destination webhook URL where the data will be sent.

    LivechatSecretToken
    string

    A secret token that can be used to verify the webhook.

    LivechatHttpTimeout
    integer

    The request timeout value

    LivechatWebhookOnStart
    boolean

    When set to true, data is sent to the configured webhook URL each time a new chat starts.

    LivechatWebhookOnClose
    boolean

    When set to true, data is sent to the configured webhook URL each time a chat is closed.

    LivechatWebhookOnChatTaken
    boolean

    When set to true, data is sent to the configured webhook URL each time a chat is taken.

    LivechatWebhookOnChatQueued
    boolean

    When set to true, data is sent to the configured webhook URL each time a chat is queued.

    LivechatWebhookOnForward
    boolean

    When set to true, data is sent to the configured webhook URL each time a chat is forwarded.

    LivechatWebhookOnOfflineMsg
    boolean

    When set to true, data is sent to the configured webhook URL each time offline messages are sent.

    LivechatWebhookOnVisitorMessage
    boolean

    When set to true, data is sent to the configured webhook URL each time a visitor sends a message.

    LivechatWebhookOnAgentMessage
    boolean

    When set to true, data is sent to the configured webhook URL each time an agent sends a message.

    Responses
    200

    OK

    Success
    {
      "success": true
    }
    object
    success
    boolean

    Was this article helpful?

    Changing your password will log you out immediately. Use the new password to log back in.
    First name must have atleast 2 characters. Numbers and special characters are not allowed.
    Last name must have atleast 1 characters. Numbers and special characters are not allowed.
    Enter a valid email
    Enter a valid password
    Your profile has been successfully updated.